> ## Documentation Index
> Fetch the complete documentation index at: https://docs.warmyourx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cookie



## OpenAPI

````yaml https://api.warmyourx.com/openapi.json get /cookies/{cookie_id}
openapi: 3.1.0
info:
  title: Automatex API
  version: 0.1.0
servers:
  - url: https://api.warmyourx.com
    description: Production
security: []
paths:
  /cookies/{cookie_id}:
    get:
      tags:
        - cookies
      summary: Get Cookie
      operationId: get_cookie_cookies__cookie_id__get
      parameters:
        - name: cookie_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Cookie Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CookieDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CookieDetail:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        cookie_header:
          type: string
          title: Cookie Header
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        is_active:
          type: boolean
          title: Is Active
        last_used_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Used At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - cookie_header
        - label
        - expires_at
        - is_active
        - last_used_at
        - created_at
        - updated_at
      title: CookieDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````